package org.springblade.modules.api.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.modules.business.entity.Shop;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class ChildDealtVO {

    @NotNull(message = "子账号Id")
    @ApiModelProperty(value = "子账号Id")
    private Long id;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "昵称")
    private String nickname;

    @ApiModelProperty(value = "姓名")
    private String realName;

    @ApiModelProperty(value = "头像")
    private String cover;

    @NotBlank(message = "授权门店不能为空")
    @ApiModelProperty(value = "授权门店id集合，以逗号分隔")
    private List<Shop> authShops;

}
